Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78765 - Installer crashed complaining about inconsistent partition table
Summary: Installer crashed complaining about inconsistent partition table
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 8.0
Hardware: i586
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-29 13:25 UTC by Stanislav
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-05 03:00:47 UTC


Attachments (Terms of Use)

Description Stanislav 2002-11-29 13:25:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.1a) Gecko/20020611

Description of problem:
Installer gets to the screen where it asks wether I would like to use automatic
partitioning, disk druid or fdisk. I choose Disk druid. installer displays
message box stating that: the partition table on /dev/hda/ is inconsistent .....
blah blah ..... . 
When I click Ignore machine freezes.
My partition table can not be *that* screwed up, beacuse I have been using this
disk, with same partitions for years under windows. (when creating partitions
for my windows two years ago I have intentionally left some space for future
linux installations).
I have even tried to run Partition Magic program (windows application) to create
swap and ex2fs partitions. Installer freezes anyway. I have got another disk in
my machine that is OK. What if I wanted to install linux on that other disc?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Every time I try to run setup on one particular machine.
I can send you snapshot of my partition table if you provide some tool for that,
or tell me how to do it.
I can install RedHat 8.0 linux from the same media on other machines.

Additional info:

Comment 1 Michael Fulbright 2002-12-02 16:03:26 UTC
Matt could you see if this is a parted issue please?

Comment 2 Mike Hmelovsky 2003-02-08 23:20:05 UTC
I do not know if this is related, but I had a similar freeze going from Redhat 6.2 to 7.2 
on a PC100 598LMR motherboard.  I tried everything but nothing worked.  Then out of 
desparation I tried a BIOS setup and forced the hard drive to run in PIO Mode 0 (yeah, 
this reduses performace), but to my amazement it didn't freeze anymore and finished the 
initialization.  After installation was complete, I put the BIOS back to the correct 
setting.  Everything ran fine.  Why I don't know?



Comment 3 Mike Hmelovsky 2003-02-09 19:52:26 UTC
I do not know if this is related, but I had a similar freeze going from Redhat 6.2 to 7.2 
on a PC100 598LMR motherboard.  I tried everything but nothing worked.  Then out of 
desparation I tried a BIOS setup and forced the hard drive to run in PIO Mode 0 (yeah, 
this reduses performace), but to my amazement it didn't freeze anymore and finished the 
initialization.  After installation was complete, I put the BIOS back to the correct 
setting.  Everything ran fine.  Why I don't know?



Comment 4 Stanislav 2003-02-12 09:28:17 UTC
Reacion to Comment from Mike Hmelovsky
....... Then out of desparation I tried a BIOS setup and forced the hard drive
to run in PIO Mode 0 .......

I (the original submiter of the bug) have tried to set BIOS this way. I have
switched off all the IDE optimalization, prefetch, PIO, even ultra DMA, I have
even forced BIOS to use disk as LBA (instead of "Auto"). Nothing helps. Thanks
for the tip.

Comment 5 Jeremy Katz 2004-10-05 03:00:47 UTC
This should be happier in newer releases.  Please reopen if it still
occurs and you have more information to add to the problem report.


Note You need to log in before you can comment on or make changes to this bug.